package org.jbossws;

import com.lodh.cxf.MyWebInterface;
import com.lodh.cxf.WSInstructionCreationException;

import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;

public class Client {
    public static void main(String[] args)
        throws Exception {
        QName serviceNs = new QName("http://ws.arte.lodh.com/cxf", "MyWebService");

        URL wsdl = new URL("http://localhost:8080/test/MyWebServices?WSDL");

        Service service = Service.create(wsdl, serviceNs);
        MyWebInterface port = (MyWebInterface) service.getPort(MyWebInterface.class);
        try {
            port.throwException();
            System.out.println("No exception thrown!");
        } catch (WSInstructionCreationException e) {
            String error = e.getInfo1() + " : " + e.getInfo2() + " : " + e.getMessageKey() + " : " + e.getInstruction() + " : " + e.getMessage();

            System.out.println(error);
        }
    }
}
  /*
    Exception in thread "main" javax.xml.ws.WebServiceException:
    {http://ws.arte.lodh.com/}MyWebService is not a valid service.
    Valid services are: {http://ws.arte.lodh.com/cxf}MyWebService
    ---
    Exception in thread "main" javax.xml.ws.WebServiceException:
    Undefined port type: {http://cxf.lodh.com/}MyWebInterface

      */